get
https://yourwebhook.com/loyalty/customer
Purpose
This webhook URL will be called to retrieve customer details in response, the customers will be identified by one of three unique identifiers within the query parameters; email , phoneNumber or providerId
Query Parameters
ⓘ
All request parameters will be URL encoded.
| Parameter | Description |
|---|---|
email | This parameter will always be sent if your integration uses the email as a unique identifier e.g. https://yourwebhook.com/customer?email=john.doe%40email.com |
phoneNumber | This parameter will always be sent if your integration uses the phone number as a unique identifier. (E.164 international e.g. https://yourwebhook.com/customer?phoneNumber=%2B32111111111format) |
providerId * required | The customer's unique identifier within the loyalty provider's system. e.g. https://yourwebhook.com/customer?providerId=abc123 |
accountId | The merchant's account ID in Deliverect |
loyaltyProfileId | The Id of the profile where the response configuration was stored |
locationId | The location ID related to the merchant's account in Deliverect |
channelLinkId | The channel link ID related to the location of the merchant's account in Deliverect |
Response
| Customer Attributes | Type | Required | Description |
|---|---|---|---|
providerId | string | Yes | ID of the loyalty provider to identify the customer |
firstName | string | No | First name of the customer. |
lastName | string | No | Last name of the customer. |
email | string | Yes if used as unique identifier | The customer's email. |
phoneNumber | string | Yes if used as unique identifier | The customer's phone email. Must be sent in E.164 international standard. |
dateOfBirth | string | No | The provided date must be in ISO 8601 UTC format. Example: 2025-05-22T22:55:59+00:00. |
status | string | Yes | See statuses below. |
acceptedTCAt | string | Yes | The date and time when the customer accepted the terms and conditions. Must be in ISO 8601 UTC format. Example: 1970-01-01T00:00:00+00:00. |
"lifetimePointsBalance" | integer | No | Number of loyalty points a customer has earned over the lifetime of their account. Note: it does not indicate current balance, which will be provided via "GET loyalty Customer Wallet". |
tier | Object | No | See tier object description bellow. |
| Tier Attributes | Type | Required | Description |
|---|---|---|---|
name | string | Yes | The name of the Tier |
description | string | No | A description for the Tier |
media | Object | No | See media object description bellow. |
| Media attributes | Type | Required | Description |
|---|---|---|---|
url | string | Yes | A video or image URL that can be displayed along the tier information. |
type | string | Yes | Valid options:
|
| Status Values | Type | Description |
|---|---|---|
unknown | string | Customer status cannot be determined. |
activation_pending | string | Customer created an account but did not verify/complete. |
active | string | Customer created an account and verified their access. |
blocked_by_provider | string | Customer blacklisted from partner. Unable to interact with loyalty. |
⚠️
If the customer doesn't exist on your platform, the endpoint should return an HTTP 404 Not Found response.
